Bug Hunting Session
Bug 47499 - Visio file does not display correctly. Font problems.
Summary: Visio file does not display correctly. Font problems.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta1
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Valek Filippov
URL:
Whiteboard: target:4.0.0.0.beta2 target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-19 04:46 UTC by jkonecny
Modified: 2013-03-22 11:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of LibreOffice view page 1 (263.90 KB, image/jpeg)
2012-03-19 04:46 UTC, jkonecny
Details
Screenshot of LibreOffice view page 2 (222.15 KB, image/jpeg)
2012-03-19 04:47 UTC, jkonecny
Details
Screenshot of ms visio viewer view page 1 (176.32 KB, image/jpeg)
2012-03-19 04:47 UTC, jkonecny
Details
Screenshot of ms visio viewer view page 2 (166.82 KB, image/jpeg)
2012-03-19 04:48 UTC, jkonecny
Details
original ms visio file (338.50 KB, application/vnd.ms-visio.viewer)
2012-03-19 04:48 UTC, jkonecny
Details
screen show with problem circled (217.64 KB, image/jpeg)
2012-11-02 12:27 UTC, jkonecny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jkonecny 2012-03-19 04:46:18 UTC
Attached are two screen shots (visio-view-page-1.jpg and visio-view-page-2.jpg) that show an ms visio file as it is correctly displayed in ms visio viewer.  Also attached are two screen shots (lo-view-page-1.jpg and lo-view-page-2.jpg) that show the same ms visio file as it is incorrectly displayed in LibreOffice Draw.  The original ms visio vile is attached as well.  Comparing the views show mainly font size problems however it appears some shapes are incorrect as well.
Comment 1 jkonecny 2012-03-19 04:46:59 UTC
Created attachment 58676 [details]
Screenshot of LibreOffice view page 1
Comment 2 jkonecny 2012-03-19 04:47:16 UTC
Created attachment 58677 [details]
Screenshot of LibreOffice view page 2
Comment 3 jkonecny 2012-03-19 04:47:44 UTC
Created attachment 58678 [details]
Screenshot of ms visio viewer view page 1
Comment 4 jkonecny 2012-03-19 04:48:07 UTC
Created attachment 58679 [details]
Screenshot of ms visio viewer view page 2
Comment 5 jkonecny 2012-03-19 04:48:43 UTC
Created attachment 58680 [details]
original ms visio file
Comment 6 Valek Filippov 2012-07-13 05:18:40 UTC
"NOTE: to reset system..." is here 1:2:14:1:1:315
Shape uses Style 0x27 (1:2:6:1:16), which has CharIX->Font Size 6pt.
LO Draw uses 12 pt.
Comment 7 jkonecny 2012-11-02 12:27:07 UTC
Created attachment 69443 [details]
screen show with problem circled

3.6.3.2 displays this file much better but there is still a problem with a box that I have circled in this screen shot.
Comment 8 Robert 2012-12-14 19:56:59 UTC
L'ouverture d'un dessin visio disparaît sous un fond tout noir.
Cela fonctionnait sous libre office 3.6 ! (Régression ?)
Comment 9 Fridrich Strba 2012-12-16 16:45:58 UTC
Valek, any chance you could try to understand what is going on there?
Comment 10 Valek Filippov 2012-12-16 20:48:40 UTC
(In reply to comment #9)
> Valek, any chance you could try to understand what is going on there?

"PropList->Line->Rounding"

libvisio ignores it at the moment. Proper handling would require some math, especially for cases less trivial than "rounded rectangle".
Comment 11 Fridrich Strba 2012-12-17 03:16:28 UTC
(In reply to comment #10)
> "PropList->Line->Rounding"
> libvisio ignores it at the moment. Proper handling would require some math,
> especially for cases less trivial than "rounded rectangle".

Yeah, that was the problem even in the previous version. The problem now is that some of the shapes (converted with recent libvisio) are filled black. Not sure where does that come from. I have quite a difficulty to concentrate after my car accident from last week. That is why I ask you whether you could check :(
Comment 12 Fridrich Strba 2012-12-17 15:10:58 UTC
@valek: If I save this version 6 file by Visio 2010 first, it imports very nicely into LO. just the original version 6 file is regressing. The reading of the fill information, I have made it completely the same as version 11 until the shadow offsets which are not there in version 6. Is it possible I did not understand something correctly?
Comment 13 Not Assigned 2012-12-18 09:42:38 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e7a38669ae3c99ea3a90b2af15c6be2234ac284&g=libreoffice-4-0

Fix the regression in fdo#47499: wrong fill colour


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Not Assigned 2012-12-18 09:42:57 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=687138f72c607e02f9dabf0ca6c936209e4c76b7

Fix the regression in fdo#47499: wrong fill colour



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Fridrich Strba 2013-03-22 11:58:39 UTC
This bug is fixed in LibreOffice 4.0 release